<?php

if (!defined('ABSPATH')) {
    exit;
}

require_once('interface-woocommerce-chatra.php');
require_once('class-woocommerce-chatra.php');

/**
 * WooCommerce_Chatra_Admin class for setting chatra settings.
 */
class WooCommerce_Chatra_Admin extends WooCommerce_Chatra implements WooCommerce_Chatra_Interface
{
    // Set up base actions
    public function init()
    {
        add_action('admin_menu', array($this, 'admin_menu'));
        add_action('wp_ajax_wc-chatra-get-cart', array($this, 'ajax_get_cart'));
    }

    // Add plugin to woocommerce admin menu.
    public function admin_menu()
    {
        add_submenu_page('woocommerce', 'Chatra', 'Chatra', 'manage_options', 'wc-chatra', array($this, 'settings'));
        register_setting('woocommerce-chatra', 'chatra-code');
    }

    // Output form with settings.
    public function settings()
    {
        $title = __('Chatra Live Chat Setup', 'woocommerce-chatra');
        $site_url = home_url();
        $admin_url = admin_url();
        $chatra_code = esc_attr(get_option('chatra-code'));

        $this->render("admin-template.php", array(
            "title" => $title,
            "site_url" => $site_url,
            "admin_url" => $admin_url,
            "chatra_code" => $chatra_code,
        ));
    }
}
